#!/bin/bash
onnx_model_path=/home/workspace/ByteMLPerf/bytedance/models/model_1/onnx/
mxr_model_path=/home/workspace/ByteMLPerf/bytedance/models/model_1/mxr1/
export HIP_VISIBLE_DEVICES=0
for bs in 1 2 4 8 16 32 64 128 256 512 1024 2048; do
    echo "====== batch size: ${bs} ======"
    /opt/dtk/bin/migraphx-driver compile --binary --output ${mxr_model_path}/model-static-batch-size-${bs}.mxr --onnx ${onnx_model_path}/model-static-batch-size-${bs}.onnx
done